---
title: Module
metaTitle: Module - API Reference - Handsontable Documentation
permalink: /10.0/api/module.exports
canonicalUrl: /api/module.exports
hotPlugin: false
editLink: false
---

# Module

[[toc]]
## Members

### cellMeta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/index.js#L57

:::

_module.[exports](@/api/exports.md).cellMeta : CellMeta_



### cellRenderer
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L154

:::

_module.[exports](@/api/exports.md).cellRenderer : function_

Cell renderer used to render cells content.



### cells
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L88

:::

_module.[exports](@/api/exports.md).cells : [CellsRenderer](@/api/cellsRenderer.md)_

Renderer class responsible for rendering cells.



### childNodeType
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/view.js#L37

:::

_module.[exports](@/api/exports.md).childNodeType : string_

Node type which the order view will manage while rendering the DOM elements.



### childs
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/utils/dataStructures/tree.js#L120

:::

_module.[exports](@/api/exports.md).childs : Array&lt;[TreeNode](@/api/treeNode.md)&gt;_

A tree leaves.



### colGroup
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L76

:::

_module.[exports](@/api/exports.md).colGroup : [ColGroupRenderer](@/api/colGroupRenderer.md)_

Renderer class responsible for rendering col in colgroup.



### collapsingUI
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/plugins/nestedRows/utils/rowMoveController.js#L38

:::

_module.[exports](@/api/exports.md).collapsingUI : [CollapsingUI](@/api/collapsingUI.md)_

Reference to the Collapsing UI class instance.



### collectedNodes
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/view.js#L49

:::

_module.[exports](@/api/exports.md).collectedNodes : Array&lt;HTMLElement&gt;_

The list of DOM elements which are rendered for this render cycle.



### columnFilter
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L100

:::

_module.[exports](@/api/exports.md).columnFilter : [ColumnFilter](@/api/columnFilter.md)_

Column filter which contains all necessary information about column index transformation.



### columnHeaderFunctions
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L142

:::

_module.[exports](@/api/exports.md).columnHeaderFunctions : Array&lt;function()&gt;_

An array of functions to be used as a content factory to column headers.



### columnHeaders
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L70

:::

_module.[exports](@/api/exports.md).columnHeaders : [ColumnHeadersRenderer](@/api/columnHeadersRenderer.md)_

Renderer class responsible for rendering column headers.



### columnHeadersCount
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L148

:::

_module.[exports](@/api/exports.md).columnHeadersCount : number_

Count of the function used to render column headers.



### columnMeta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/index.js#L53

:::

_module.[exports](@/api/exports.md).columnMeta : ColumnMeta_



### columnMeta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/cellMeta.js#L43

:::

_module.[exports](@/api/exports.md).columnMeta : ColumnMeta_

Reference to the ColumnMeta layer. While creating new cell meta objects, all new objects
inherit properties from the ColumnMeta layer.



### columnsToRender
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L124

:::

_module.[exports](@/api/exports.md).columnsToRender : number_

Indicates how much columns should be rendered to fill whole table viewport.



### columnUtils
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L112

:::

_module.[exports](@/api/exports.md).columnUtils : [ColumnUtils](@/api/columnUtils.md)_

Column utils class which contains all necessary information about sizes of the columns.



### currentOffset
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSize.js#L25

:::

_module.[exports](@/api/exports.md).currentOffset : number_

Current offset.



### currentSize
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSize.js#L13

:::

_module.[exports](@/api/exports.md).currentSize : number_

Current size of the rendered DOM elements.



### data
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/lazyFactoryMap.js#L134

:::

_module.[exports](@/api/exports.md).data : Array_

An array which contains data.



### data
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/utils/dataStructures/tree.js#L108

:::

_module.[exports](@/api/exports.md).data : object_

A tree data.



### dataManager
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/plugins/nestedRows/utils/rowMoveController.js#L32

:::

_module.[exports](@/api/exports.md).dataManager : [DataManager](@/api/dataManager.md)_

Reference to the Data Manager class instance.



### globalMeta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/index.js#L44

:::

_module.[exports](@/api/exports.md).globalMeta : GlobalMeta_



### globalMeta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/columnMeta.js#L47

:::

_module.[exports](@/api/exports.md).globalMeta : GlobalMeta_

Reference to the GlobalMeta layer. While creating new column meta objects, all new objects
inherit properties from the GlobalMeta layer.



### holes
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/lazyFactoryMap.js#L151

:::

_module.[exports](@/api/exports.md).holes : Set&lt;number&gt;_

The collection of indexes that points to the data items which can be replaced by obtaining new
ones. The "holes" are an intended effect of deleting entries.

The idea of "holes" generally allows us to not modify the "data" structure while removing
items from the collection.



### hot
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/index.js#L40

:::

_module.[exports](@/api/exports.md).hot : [Handsontable](@/api/core.md)_



### hot
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/plugins/nestedRows/utils/rowMoveController.js#L26

:::

_module.[exports](@/api/exports.md).hot : [Handsontable](@/api/core.md).[Core](@/api/core.md)_

Reference to the Handsontable instance.



### index
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/lazyFactoryMap.js#L141

:::

_module.[exports](@/api/exports.md).index : Array&lt;number&gt;_

An array of indexes where the key of the array is mapped to the value which points to the
specific position of the data array.



### meta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/globalMeta.js#L49

:::

_module.[exports](@/api/exports.md).meta : object_

Main object (prototype of the internal TableMeta class), holder for all default settings.



### meta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/tableMeta.js#L38

:::

_module.[exports](@/api/exports.md).meta : object_

Main object (instance of the internal TableMeta class from GlobalMeta), holder for all settings defined in the table scope.



### metaCtor
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/globalMeta.js#L43

:::

_module.[exports](@/api/exports.md).metaCtor : TableMeta_

An alias for the constructor. Necessary for inheritance for creating new layers.



### metas
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/cellMeta.js#L51

:::

_module.[exports](@/api/exports.md).metas : LazyFactoryMap&lt;number, LazyFactoryMap&lt;number, object&gt;&gt;_

Holder for cell meta objects, organized as a grid of LazyFactoryMap of LazyFactoryMaps.
The access to the cell meta object is done through access to the row defined by the physical
row index and then by accessing the second LazyFactory Map under the physical column index.



### metas
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/metaLayers/columnMeta.js#L54

:::

_module.[exports](@/api/exports.md).metas : LazyFactoryMap_

The LazyFactoryMap structure, holder for column meta objects where each column meta is
stored under the physical column index.



### nextOffset
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSize.js#L31

:::

_module.[exports](@/api/exports.md).nextOffset : number_

Next ofset.



### nextSize
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSize.js#L19

:::

_module.[exports](@/api/exports.md).nextSize : number_

Next size of the rendered DOM elements which should be fulfilled.



### nodesPool
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/view.js#L25

:::

_module.[exports](@/api/exports.md).nodesPool : function_

Factory for newly created DOM elements.



### nodeType
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/nodesPool.js#L13

:::

_module.[exports](@/api/exports.md).nodeType : string_

Node type to generate (ew 'th', 'td').



### orderView
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/rows.js#L28

:::

_module.[exports](@/api/exports.md).orderView : WeakMap_

Cache for OrderView classes connected to specified node.



### orderViews
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/cells.js#L28

:::

_module.[exports](@/api/exports.md).orderViews : WeakMap_

Cache for OrderView classes connected to specified node.



### orderViews
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/rowHeaders.js#L25

:::

_module.[exports](@/api/exports.md).orderViews : WeakMap_

Cache for OrderView classes connected to specified node.



### parent
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/utils/dataStructures/tree.js#L114

:::

_module.[exports](@/api/exports.md).parent : [TreeNode](@/api/treeNode.md)_

A parent node.



### plugin
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/plugins/nestedRows/utils/rowMoveController.js#L20

:::

_module.[exports](@/api/exports.md).plugin : [NestedRows](@/api/nestedRows.md)_

Reference to the Nested Rows plugin instance.



### rootDocument
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L58

:::

_module.[exports](@/api/exports.md).rootDocument : HTMLDocument_

Document owner of the root node.



### rootNode
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L52

:::

_module.[exports](@/api/exports.md).rootNode : HTMLTableElement_

Table element which will be used to render the children element.



### rootNode
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/view.js#L19

:::

_module.[exports](@/api/exports.md).rootNode : HTMLElement_

The root node to manage with.



### rowFilter
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L94

:::

_module.[exports](@/api/exports.md).rowFilter : [RowFilter](@/api/rowFilter.md)_

Row filter which contains all necessary information about row index transformation.



### rowHeaderFunctions
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L130

:::

_module.[exports](@/api/exports.md).rowHeaderFunctions : Array&lt;function()&gt;_

An array of functions to be used as a content factory to row headers.



### rowHeaders
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L64

:::

_module.[exports](@/api/exports.md).rowHeaders : [RowsRenderer](@/api/rowsRenderer.md)_

Renderer class responsible for rendering row headers.



### rowHeadersCount
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L136

:::

_module.[exports](@/api/exports.md).rowHeadersCount : number_

Count of the function used to render row headers.



### rows
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L82

:::

_module.[exports](@/api/exports.md).rows : [RowsRenderer](@/api/rowsRenderer.md)_

Renderer class responsible for rendering rows in tbody.



### rowsToRender
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L118

:::

_module.[exports](@/api/exports.md).rowsToRender : number_

Indicates how much rows should be rendered to fill whole table viewport.



### rowUtils
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/table.js#L106

:::

_module.[exports](@/api/exports.md).rowUtils : [RowUtils](@/api/rowUtils.md)_

Row utils class which contains all necessary information about sizes of the rows.



### sharedSize
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSizeSet.js#L40

:::

_module.[exports](@/api/exports.md).sharedSize : [ViewSize](@/api/viewSize.md)_

Shared Size instance.



### size
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSizeSet.js#L27

:::

_module.[exports](@/api/exports.md).size : [ViewSize](@/api/viewSize.md)_

Holder for current and next view size and offset.



### sizeSet
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/view.js#L31

:::

_module.[exports](@/api/exports.md).sizeSet : [ViewSizeSet](@/api/viewSizeSet.md)_

Holder for sizing and positioning of the view.



### sourceRowIndex
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/cells.js#L34

:::

_module.[exports](@/api/exports.md).sourceRowIndex : number_

Row index which specifies the row position of the processed cell.



### sourceRowIndex
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/renderer/rowHeaders.js#L31

:::

_module.[exports](@/api/exports.md).sourceRowIndex : number_

Row index which specifies the row position of the processed row header.



### tableMeta
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/dataMap/metaManager/index.js#L49

:::

_module.[exports](@/api/exports.md).tableMeta : TableMeta_



### visualIndex
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/view.js#L43

:::

_module.[exports](@/api/exports.md).visualIndex : number_

The visual index of currently processed row.



### workingSpace
  
::: source-code-link https://github.com/handsontable/handsontable/blob/8ad9e39bea09f559dc24962196541af30811a8c3/../src/3rdparty/walkontable/src/utils/orderView/viewSizeSet.js#L34

:::

_module.[exports](@/api/exports.md).workingSpace : number_

Defines if this instance shares its size with another instance. If it's in the shared
mode it defines what space it occupies ('top' or 'bottom').



